<div class="mat-elevation-z8" >
  <table mat-table [dataSource]="dataSource">
    <!-- Id Column -->
    <ng-container matColumnDef="id" style="width: 50%">
      <th mat-header-cell *matHeaderCellDef> Id</th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>

    <!-- Label Column -->
    <ng-container matColumnDef="name"  style="width: 50%">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

      <ng-container matColumnDef="actions">
      <mat-header-cell *matHeaderCellDef>
        
      </mat-header-cell>

    <mat-cell *matCellDef="let row; let i=index;">
        <button mat-icon-button color="primary" (click)="editTask(i, row)">
          <mat-icon aria-label="Edit">edit</mat-icon>
        </button>

        <button mat-icon-button color="primary" (click)="deleteTask(i, row)">
          <mat-icon aria-label="Delete">delete</mat-icon>
        </button>
      </mat-cell>
    </ng-container>
     <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr> 
  </table>
  <mat-paginator  [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
